package com.zd.system.mapper;

import java.util.List;
import com.zd.system.domain.SysPermit;

/**
 * 权限模板Mapper接口
 * 
 * @author liubo
 * @date 2022-03-21
 */
public interface SysPermitMapper 
{
    /**
     * 查询权限模板
     * 
     * @param id 权限模板主键
     * @return 权限模板
     */
    public SysPermit selectSysPermitById(Long id);

    /**
     * 查询权限模板列表
     * 
     * @param sysPermit 权限模板
     * @return 权限模板集合
     */
    public List<SysPermit> selectSysPermitList(SysPermit sysPermit);

    /**
     * 新增权限模板
     * 
     * @param sysPermit 权限模板
     * @return 结果
     */
    public int insertSysPermit(SysPermit sysPermit);

    /**
     * 修改权限模板
     * 
     * @param sysPermit 权限模板
     * @return 结果
     */
    public int updateSysPermit(SysPermit sysPermit);

    /**
     * 删除权限模板
     * 
     * @param id 权限模板主键
     * @return 结果
     */
    public int deleteSysPermitById(Long id);

    /**
     * 批量删除权限模板
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysPermitByIds(Long[] ids);
}
